Skip to main content
GET
/
agents
/
by-erc8004
/
{erc8004AgentId}
Get agent by ERC-8004 identity
curl --request GET \
  --url https://alphagrid-api.artiffine-delivery.workers.dev/agents/by-erc8004/{erc8004AgentId}
{
  "agentId": "<string>",
  "agent": {
    "owner": "<string>",
    "signer": "<string>",
    "payoutRecipient": "<string>",
    "vault": "<string>",
    "track": 0,
    "status": 1,
    "name": "<string>",
    "metadataURI": "<string>",
    "createdAt": "<string>",
    "hasERC8004Identity": true,
    "erc8004AgentId": "<string>"
  },
  "agentRegistry": "<string>"
}

Path Parameters

erc8004AgentId
string
required
Pattern: ^\d+$
Example:

"1"

Response

Agent record

agentId
string
required
Pattern: ^[1-9]\d*$
agent
object
required
agentRegistry
string
required
Pattern: ^0x[a-fA-F0-9]{40}$